# Get accounts

Gets a list of all accounts.

Endpoint: GET /config/accounts
Version: 4.0.0
Security: Bearer

## Query parameters:

  - `account_names` (array)
    List of account names provided as a search query.

  - `balance` (number)
    Balance value filter.

  - `balance_upper_limit` (number)
    Balance upper limit when using the BETWEEN range operator

  - `balance_range_operator` (string)
    Operator to filter balance by range.
    Enum: "EQUAL_TO", "GREATER_THAN", "LESS_THAN", "BETWEEN"

  - `disabled` (boolean)
    Returns disabled accounts by default. To hide disabled accounts, set to false.

  - `owner` (string)
    Ripplenet address of the owner of the account.

  - `currency` (string)
    Currency filter to apply on accounts. Must be in uppercase.

  - `sort_field` (string)
    Attribute for how to sort the results.
    Enum: "ACCOUNT_NAME", "CURRENCY", "BALANCE", "LAST_MODIFIED_DATE"

  - `sort_direction` (string)
    Direction of sorted results.
    Enum: "ASC", "DESC"

  - `page` (integer)
    The page number for paginated results. The value is zero-based, where 0 represents the first page.
Set it to 0 to get the first page of results.

  - `size` (integer)
    Number of objects to return per page.

  - `external_account_ids` (array)
    List of external account IDs provided as a search query.

## Response 200 fields (application/json):

  - `first` (boolean)
    true if  this is the first page.

  - `last` (boolean)
    true if  this is the last page.

  - `number` (integer)
    page number

  - `numberOfElements` (integer)
    Number Of elements in this request

  - `size` (integer)
    page size

  - `totalElements` (integer)
    Total number of elements for the given request

  - `totalPages` (integer)
    Total number of pages for the given request

  - `sort` (array)
    Sort details of this page

  - `sort.direction` (string)
    Direction of the sort
    Example: "ASC"

  - `sort.property` (string)

  - `sort.ignoreCase` (boolean)

  - `sort.nullHandling` (string)
    Example: "NULLS_FIRST"

  - `sort.ascending` (boolean)
    Example: true

  - `sort.descending` (boolean)

  - `content` (array)

  - `content.name` (string, required)
    Account name and unique identifier on RippleNet.
    Example: "conct_usd_sf"

  - `content.balance` (number, required)
    Balance available in the account.

  - `content.owner` (string, required)
    RippleNet address of the owner of the account.
    Example: "rn.us.ca.san_francisco"

  - `content.currency` (string, required)
    Currency supported by the account.
    Example: "USD"

  - `content.disabled` (boolean, required)
    Indicates whether the account is disabled (true) or active (false).

  - `content.minimum_allowed_balance` (number, required)
    Minimum balance allowed for the account. For nostro accounts, RippleNet Server uses the greater of this value and the owner_min_allowed_balance to set the account balance minimum.
    Example: -1000000

  - `content.maximum_allowed_balance` (number, required)
    Maximum balance allowed for the account. For nostro accounts, RippleNet Server uses the lesser of this value and the owner_max_allowed_balance to set the account balance maximum.
    Example: 9999999999999900000

  - `content.core_ledger_ref` (string)
    Core ledger reference key. This could be a bank account number for fiat, exchange name for exchange accounts, or a ledger reference for digital accounts. This field is required for exchange accounts
    Example: "bitso"

  - `content.rounding_mode` (string, required)
    Determines whether calculations for this account are rounded up or down to maintain precision.
    Enum: "HALF_UP", "HALF_DOWN", "DOWN"

  - `content.scale` (integer, required)
    Number of decimal places used when calculating rounding for this account.
    Example: 2

  - `content.low_liquidity_threshold` (number, required)
    When the sender's account balance is less than or equal to this amount, after payment settlement execution, a low-liquidity message is logged at the INFO level.
    Example: 1000

  - `content.owner_min_allowed_balance` (number, required)
    Minimum balance allowed by the owner of a nostro account. RippleNet Server uses the greater of this value and the minimum_allowed_balance to set the account balance minimum.
    Example: -100000

  - `content.owner_max_allowed_balance` (number, required)
    Maximum balance allowed by the owner of a nostro account. RippleNet Server uses the lesser of this value and the maximum_allowed_balance to set the account balance maximum.
    Example: 72036854775

  - `content.platform_account_id` (string)
    Platform account ID associated with this RippleNet account.

  - `content.external_account_id` (string)
    Customer's account ID on their systems associated with this RippleNet account.

  - `content.account_description` (string)
    Description associated with this RippleNet account.

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


